require_relative "server_operation_error"

module Devops
  module Exception
    class BootstrapError < ServerOperationError

      def error_code
        Devops::Executor::ServerOperationResult.code_of_reason(:server_bootstrap_fail)
      end

      def operation_type
        Devops::Model::Server::OperationType::BOOTSTRAP
      end

      def error_message msg
        "Failed while bootstraping server\nBootstraping operation result was: #{msg}"
      end

    end
  end
end
